# Conditional build:
%bcond_without  python2         # Python 2.x module
%bcond_without  python3         # Python 3.x module
#
%define		module		simplejson
Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona
Name:		python-%{module}
Version:	3.4.1
Release:	1
License:	MIT or AFL v2.1
Group:		Libraries
Source0:	http://pypi.python.org/packages/source/s/simplejson/%{module}-%{version}.tar.gz
# Source0-md5:	5ab77a58759fcdfc14ecbe62a0775847
URL:		http://undefined.org/python/#simplejson
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c1
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.0
BuildRequires:	python3-devel
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 2.5+.

%description -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 2.5 i nowszych wersji.

%package -n python3-%{module}
Summary:	Simple, fast, extensible JSON encoder/decoder for Python 3
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona 3
Group:		Libraries

%description -n python3-%{module}
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 3.

%description -n python3-%{module} -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 3.

%prep
%setup -qn %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build --build-base py2
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build --build-base py3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base py2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/simplejson/tests
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base py3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{py3_sitedir}/simplejson/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.rst
%dir %{py_sitedir}/simplejson
%{py_sitedir}/simplejson/*.py[co]
%attr(755,root,root) %{py_sitedir}/simplejson/*.so
%{py_sitedir}/simplejson-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%dir %{py3_sitedir}/simplejson
%{py3_sitedir}/simplejson/__pycache__
%{py3_sitedir}/simplejson/*.py
%attr(755,root,root) %{py3_sitedir}/simplejson/*.so
%{py3_sitedir}/simplejson-%{version}-py*.egg-info
%endif
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-simplejson.git;a=log;h=auto/th/python-simplejson-3.4.1-1

* Sun May 04 2014 Marcin Banasiak <marcin.banasiak@gmail.com> fd1cb29
- Update to 3.4.1

* Wed Feb 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 0569c67
- updated to 3.0.8 (for python 2.5+)
- pass optflags

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 1e3eeb8
- Up to 2.5.2

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 65ca96b
- up to 2.3.2

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> bdfb483
- up to 2.2.1

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 0850b1b
- Up to 2.1.6

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 02cc7d6
- Up to 2.1.5

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 228c180
- Up to 2.1.3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bfba2a9
- release 2

* Wed Nov 10 2010 Karol Krenski <charles@pld-linux.org> c490e1f
- BR: python-devel

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 32daac3
- Up to 2.1.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f64503
- release 2

* Sun Jun 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e69ebc
- up to 2.1.1

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 72c22c1
- up to 2.0.9

* Fri Mar 13 2009 Mateusz Korniak <matkor@pld-linux.org> 167dac3
- Version 2.0.3-1. reqs down to 2.4. Th has py2.6 where that module is std.

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78b4468
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 794b205
- release 2

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 5fcfc11
- removed outdated statement from descs
- .so perms

* Wed Jan 30 2008 Patryk Zawadzki <patrys@room-303.com> 54e5d06
- no longer noarch (speedups.so)
- python 2.5 for egginfo

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 27f03be
- BR: python downgrade to 2.4 (2.5 is not required)
- Up to 1.7.1

